This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ShowInstance

1 - 1.4

get /v1/instances/{instance_id}

Description

show a specific instance

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceShowResponseAddResourceV1Dot3
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/instances/{instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.4"

Example HTTP response

Response 200

{
    "instance": {
        "account_id": "1234ab567cd64769e8f9g490hi304891",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "delegated_account_id": "acc-2353",
        "delegated_at": "2023-10-15 14:30:00",
        "delegated_by": "sef2w3c8c29a449dbfa8681f8f1d78e2",
        "description": "My Instance Description",
        "id": "ssoins-12345",
        "identity_store_config": {
            "bind_credential": "password",
            "bind_dn": "CN=Administrator,CN=Users,DC=test,DC=add",
            "component_id": "HYIK7LLKQL2MFK2K8Jb1ew",
            "connection_url": "ldaps://test.subdomain.company.com:123",
            "rdn_ldap_attribute": "cn",
            "user_object_classes": "person, organizationalPerson, user",
            "username_ldap_attribute": "sAMAccountName",
            "users_dn": "OU=Employees,OU=Accounts,DC=sub,DC=org"
        },
        "identity_store_id": "d-12345",
        "identity_store_type": "ACTIVE_DIRECTORY",
        "last_sync_at": "2025-08-06 10:30:00",
        "last_sync_status": [
            "CREATED",
            "RUNNING",
            "FINISHED",
            "FAILED",
            "NONE",
            "ABORTED"
        ],
        "master_account_id": "acc-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "My Instance",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "port": 443,
        "public_ip": "",
        "region": "kr-west1",
        "resource_name": "resource-name-1",
        "resource_type": "virtual-server",
        "resource_type_display_name": "Virtual Server",
        "service": "virtualserver",
        "service_name": "Virtual Server",
        "srn": "srn:identity-center::prj-01234:kr-west-1::instance/ins-01234",
        "sso_start_url": "https://login.e.samsungsdscloud.com/d-12345",
        "state": "ACTIVE"
    }
}

2 - 1.3

get /v1/instances/{instance_id}

Description

show a specific instance

State ACTIVE (SUPPORTED)

VersionNot Before
1.320261130

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceShowResponseAddResourceV1Dot3
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/instances/{instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.3"

Example HTTP response

Response 200

{
    "instance": {
        "account_id": "1234ab567cd64769e8f9g490hi304891",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "delegated_account_id": "acc-2353",
        "delegated_at": "2023-10-15 14:30:00",
        "delegated_by": "sef2w3c8c29a449dbfa8681f8f1d78e2",
        "description": "My Instance Description",
        "id": "ssoins-12345",
        "identity_store_config": {
            "bind_credential": "password",
            "bind_dn": "CN=Administrator,CN=Users,DC=test,DC=add",
            "component_id": "HYIK7LLKQL2MFK2K8Jb1ew",
            "connection_url": "ldaps://test.subdomain.company.com:123",
            "rdn_ldap_attribute": "cn",
            "user_object_classes": "person, organizationalPerson, user",
            "username_ldap_attribute": "sAMAccountName",
            "users_dn": "OU=Employees,OU=Accounts,DC=sub,DC=org"
        },
        "identity_store_id": "d-12345",
        "identity_store_type": "ACTIVE_DIRECTORY",
        "last_sync_at": "2025-08-06 10:30:00",
        "last_sync_status": [
            "CREATED",
            "RUNNING",
            "FINISHED",
            "FAILED",
            "NONE",
            "ABORTED"
        ],
        "master_account_id": "acc-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "My Instance",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "port": 443,
        "public_ip": "",
        "region": "kr-west1",
        "resource_name": "resource-name-1",
        "resource_type": "virtual-server",
        "resource_type_display_name": "Virtual Server",
        "service": "virtualserver",
        "service_name": "Virtual Server",
        "srn": "srn:identity-center::prj-01234:kr-west-1::instance/ins-01234",
        "sso_start_url": "https://login.e.samsungsdscloud.com/d-12345",
        "state": "ACTIVE"
    }
}

3 - 1.2

get /v1/instances/{instance_id}

Description

show a specific instance

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260930

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceShowResponseAddResourceV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/instances/{instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.2"

Example HTTP response

Response 200

{
    "instance": {
        "account_id": "1234ab567cd64769e8f9g490hi304891",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "delegated_account_id": "acc-2353",
        "delegated_at": "2023-10-15 14:30:00",
        "delegated_by": "sef2w3c8c29a449dbfa8681f8f1d78e2",
        "description": "My Instance Description",
        "id": "ssoins-12345",
        "identity_store_config": {
            "bind_credential": "password",
            "bind_dn": "CN=Administrator,CN=Users,DC=test,DC=add",
            "component_id": "HYIK7LLKQL2MFK2K8Jb1ew",
            "connection_url": "ldaps://test.subdomain.company.com:123",
            "rdn_ldap_attribute": "cn",
            "user_object_classes": "person, organizationalPerson, user",
            "username_ldap_attribute": "sAMAccountName",
            "users_dn": "OU=Employees,OU=Accounts,DC=sub,DC=org"
        },
        "identity_store_id": "d-12345",
        "identity_store_type": "ACTIVE_DIRECTORY",
        "last_sync_at": "2025-08-06 10:30:00",
        "last_sync_status": [
            "CREATED",
            "RUNNING",
            "FINISHED",
            "FAILED",
            "NONE",
            "ABORTED"
        ],
        "master_account_id": "acc-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "My Instance",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "region": "kr-west1",
        "resource_name": "resource-name-1",
        "resource_type": "virtual-server",
        "resource_type_display_name": "Virtual Server",
        "service": "virtualserver",
        "service_name": "Virtual Server",
        "srn": "srn:identity-center::prj-01234:kr-west-1::instance/ins-01234",
        "sso_start_url": "https://login.e.samsungsdscloud.com/d-12345",
        "state": "ACTIVE"
    }
}

4 - 1.1

get /v1/instances/{instance_id}

Description

show a specific instance

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_id
required
Instance ID
Example : ssoins-12345
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceShowResponseAddResourceV1Dot1
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/instances/{instance_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = iam-identity-center 1.1"

Example HTTP response

Response 200

{
    "instance": {
        "account_id": "1234ab567cd64769e8f9g490hi304891",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "creator_name": "John Doe",
        "delegated_account_id": "acc-2353",
        "delegated_at": "2023-10-15 14:30:00",
        "delegated_by": "sef2w3c8c29a449dbfa8681f8f1d78e2",
        "description": "My Instance Description",
        "id": "ssoins-12345",
        "identity_store_config": {
            "bind_credential": "password",
            "bind_dn": "CN=Administrator,CN=Users,DC=test,DC=add",
            "component_id": "HYIK7LLKQL2MFK2K8Jb1ew",
            "connection_url": "ldaps://test.subdomain.company.com:123",
            "rdn_ldap_attribute": "cn",
            "user_object_classes": "person, organizationalPerson, user",
            "username_ldap_attribute": "sAMAccountName",
            "users_dn": "OU=Employees,OU=Accounts,DC=sub,DC=org"
        },
        "identity_store_id": "d-12345",
        "identity_store_type": "ACTIVE_DIRECTORY",
        "last_sync_at": "2025-08-06 10:30:00",
        "last_sync_status": [
            "CREATED",
            "RUNNING",
            "FINISHED",
            "FAILED",
            "NONE",
            "ABORTED"
        ],
        "master_account_id": "acc-12345",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "modifier_name": "Smith",
        "name": "My Instance",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "region": "kr-west1",
        "resource_name": "resource-name-1",
        "resource_type": "virtual-server",
        "resource_type_display_name": "Virtual Server",
        "service": "virtualserver",
        "service_name": "Virtual Server",
        "srn": "srn:identity-center::prj-01234:kr-west-1::instance/ins-01234",
        "sso_start_url": "https://login.e.samsungsdscloud.com/d-12345",
        "state": "ACTIVE"
    }
}